=============================================================================
    Intel(R) Server Platform S2600CO FRU/SDR Update Release Notes
=============================================================================

INTEL(R) Product Collaboration and Systems Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:   Feb 7, 2014

TO:	    Intel(R) Server Platform S2600CO customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600CO_FRUSDR_1.12 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2010 - 2014 Intel Corporation.


=============================================================================
                              ABOUT THIS RELEASE
=============================================================================

SDR file version: 1.12
Baseboard FRU file version: 1.00
Master configuration file version: 1.12
FRUSDR utility version: v11.0_Build20

=============================================================================
        SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- This FRU/SDR package has only been tested on S2600CO FAB1 baseboards.

- BMC firmware rev 01.14 (or later) MUST be preinstalled prior to installing
  this FRU/SDR package.

- BIOS R0056 or later
- MB Ver A1A

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

- None

=============================================================================
            INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC release 01.14 or later is pre-installed before attempting this
   FRU/SDR update.

2. Copy all of the files in the S2600CO_FRUSDR_1.11.zip archive to a USB key,
   hard disk drive or floppy drive.
   All of the files in this zip archive must reside in the same directory.

3. Boot to EFI and then run the following command to display the
   contents of the baseboard FRU device:

    FRUSDR /d FRU

   If device is empty(which is the case for all new FAB1 baseboards) or corrupted, then
   execute the following command to program the empty FRU device:

   For S2600CO:
        FRUSDR /fru S2600CO.fru

4. Now execute the following command to bring up the main FRU/SDR load menu:

    FRUSDR /cfg master.cfg


5. Select the option which is applicable to what you want to do. On a brand
   new baseboard I would highly recommend to run option 3 to program both
   the FRU and SDR. By reprogramming the FRU you will be given the option
   to input data from the keyboard into various chassis, board and product
   areas. Ensure that you select the correct chassis from the chassis
   selection menu otherwise your fan sensors will not be configured
   properly.

6. Once the package has finished its installation, I would highly recommend
   to DC power off the system and cycle AC power.

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

- None

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600CO_1.12:
- Add 'PSU1 Status' and 'PSU2 Status' SDR records.

S2600CO_1.11:
- Update FRUSDR utility to version 11 build 19.

S2600CO_1.10:
- Modify BB +1.05V P1Vccp(0xD6), BB +1.05V P2Vccp(0xD7) sensor low critical threshold value.

S2600CO_1.09:
- Remove Pwr Unit Redund sensor (0x02) de-assertion event.
- Update P1/P2 Status sensor (0x70.0x71) event assertion/deassertion mask.
- Change P1/P2 VRD Hot sensor (0x90,0x91) rearm type to auto-rearm.
- Change memory VRD Hot sensor (0x94,0x95,0x96,0x97) rearm type to auto-rearm.
- Update HDD Status sensors event assertion/deassertion mask.
- Update P1 MTT/P2 MTT SDR M vaule and R exp/B exp value.
- Update FRUSDR utility to version 11 build 14.

S2600CO_1.08:
- Change 'Pwr Unit Redund' sensor(0x02) rearm type to manual rearm.
- Update FRUSDR utility to version 11 build 11.
- Modify Global Clamp Header 0x2F Sensor reading unavailable Control Value.
- Follow S2600CO FSC config sheet Rev (2.9).

S2600CO_1.07:
- Change sensor name of HDD status sensors.

S2600CO_1.06:
- Add SDR type 11 for FRU device locator record.
- Update FRUSDR utility to FRUSDR11.0-Build09, and FRUSDR.txt.
- Modify Global Stepwise Curve, curve ID: 20,24,25
- Follow S2600CO FSC config sheet Rev (2.8).


S2600CO_1.05:
- Modify config file, SDR file, and release note, change all chassis code name to product name.

S2600CO_1.04:
- Modify Front Panel Temp sensor Entity ID to 0x40.
- Modify Global Stepwise Curve, curve ID: 4,5,9,10,11,12,18,19,22,23
- Modify P4000M Non Redundant Fan passive heatsink SKU System Fan 2 normal control value to 18%
- Modify P4000M Non Redundant Fan 150w active SKU System Fan 2 normal control value to 18%
- Remove fan off feature for P4000M Non Redundant Fan passive heatsink SKU.
- Remove fan off feature for P4000M Non Redundant Fan 150w active SKU.
- Change P4000M Non Redundant Fan passive heatsink SKU PS domain from domain 5 to domain 2.
- Change P4000M Non Redundant Fan 150w active SKU PS domain from domain 5 to domain 2.
- Remove PS fan domain upper clipping curve stepwise sub-record.
- Follow S2600CO FSC config sheet Rev (2.7).

S2600CO_1.03:
- Modify Global Clamp Record ramp coefficient, record ID: 0x74,0x75,0x83,0x84,0x24,0x2E
- Add Global Clamp Record, record ID: 0x64,0x65
- Modify Global Stepwise Curve, curve ID: 13,14,15,16,23,24,25
- Add Clamp sub-record 64,65 to domain 1,2,3,4 of P4000M Redundant Fan passive heatsink SKU.
- Add Clamp sub-record 64,65 to domain 1 of P4000M Non Redundant Fan passive heatsink SKU.
- Add Clamp sub-record 64,65 to domain 1,6,7 of P4000M Non Redundant Fan 150w active SKU.
- Modify System Airflow Formula Correction factor 1 and Correction factor 2.
- Correct Baseboard CPU VR Clamp Record threshhold value.
- Correct Baseboard CPU VR margin reference value in Aggregate sensor configuration Record.
- Modify MASTER.CFG fan probing part, make sure chassis auto-dection works correctly.
- Follow S2600CO FSC config sheet Rev (2.4).

S2600CO_1.02:
- Modify sensor names.(sensonr number 0x01,0x06,0x10,0x54,0x55)
- Correct Global stepwise curve (curve ID: 05,12)
- Add fan redundancy sensor for other chassis.
- Modify global clamp record.
- Modify Global stepwise curve record.
- Modify System Airflow Formula.
- Modify MASTER.CFG, probe fan tachometer twice to prevent chassis auto-dection
  fail issue in EPSD100020031.
- Follow S2600CO FSC config sheet Rev (2.1).

S2600CO_1.01:
- Modify Entity IDs,Entity Instances.
- Modify Global Clamp ID 0x74,0x75,0x83,0x84,0xB0,0xB1,0xB2,0xB3 sensor MSB,LSB.
- Modify DIMM sensor and SAS module clamp threshold.
- Modify Minimum Global Stepwise curve record temperature/PWM pair.
- Add Global Stepwise curve record for PS domain(Curve ID: 0x20,0x21).
- Add Stepwise sub-record,Clamp sub-record for PS domain in P4000M Redundant Fan passive heatsink SKU,
  P4000M Non Redundant Fan passive heatsink SKU, and P4000M Non Redundant Fan 150w active SKU.
- Modify system airflow formula in P4000M Redundant Fan passive heatsink SKU,
  P4000M Non Redundant Fan passive heatsink SKU, and P4000M Non Redundant Fan 150w active SKU.
- Change other chassis clamp sub-record 0x83(P1 DTS thermal margin) to 0x74(P1 Thermal margin).
- Change other chassis clamp sub-record 0x84(P2 DTS thermal margin) to 0x75(P2 Thermal margin).
- Modify P4000M Non Redundant Fan passive heatsink SKU fan off PWM value to 19%.
- Modify P4000M Non Redundant Fan 150w active SKU fan off PWM value to 22%.
- Remove DTS look-up table.
- Remove DTS parameter sub-records in P4000M Redundant Fan passive heatsink SKU,
  P4000M Non Redundant Fan passive heatsink SKU, and P4000M Non Redundant Fan 150w active SKU.
- Modify Exit Air Temperature upper non-critical/upper critical threshold value.
- Follow S2600CO FSC config sheet Rev (2.0).

S2600CO_1.00:
- Change CFG file, SDR file, FRU file version number to 1.00.
- Update FRUSDR utility to version 11 build 6.
- Rearrange MASTER.CFG: DISPLAY "Probing system for sensors and FRU device hardware..."
  before probing sensors and FRU device
- Remove assertion/deassertion event of Exit Air Temp sensor(0x2E).
- Rearrange BIOS SDRs.
- Modify 'Mem Rdnc Sensor' owner ID to 0x01.
- Modify 'Mem Conf Sensor' sensor number to 0x02, event/reading base type to 0x09.
- Add 'QPI Link Width'(0x09) sensor SDR.
- Add 'Sparing Rdnc'(0x11) sensor SDR.
- Add 'Mmry Parity Err'(0x13) sensor SDR.
- Add 'PCIe Fat Sensor'(0x14) sensor SDR.
- Add 'QPI Fatl Sensor'(0x17) sensor SDR.
- Add 'BIOS Evt Sensor'(0x83,Owner ID 0x33) sensor SDR.
- Global Clamp Record ID 0x74,0x75,0x83,0x84: modify Ramp Coefficient.
- Add PSU1/PSU2 Temp Global Clamp Record. Clamp Record ID 0x5C,0x5D.
- Add P1/P2 Thermal Margin Global Clamp Record. Clamp Record ID 0x94,0x95
- Correct P4000M Redundant Fan passive heatsink SKU domain 0 clamp sub-record profile support.
- Add Exit Air Temp sensor (0x2E) clamp sub-record to all domain in P4000M Redundant Fan passive heatsink SKU,
  P4000M Non Redundant Fan passive heatsink SKU, and P4000M Non Redundant Fan 150w active SKU.
- Add PS1/PS2 Temperature sensor (0x5C,0x5D) clamp sub-record to domain 4 in P4000M Redundant Fan passive heatsink SKU.
- Change clamp sub-record 0x83(P1 DTS thermal margin) to 0x74(P1 Thermal margin).
- Change clamp sub-record 0x84(P2 DTS thermal margin) to 0x75(P2 Thermal margin).
- Change Aggregate Sensor input 0x83(P1 DTS thermal margin) to 0x74(P1 Thermal margin).
- Change Aggregate Sensor input 0x84(P2 DTS thermal margin) to 0x75(P2 Thermal margin).
- Follow S2600CO FSC config sheet Rev (1.8).

S2600CO_04:
- master.cfg: Add "NO_CHASSIS_INTRU" tag for Other chassis and shipping.
- Divide sensor number 04h record into two, one is with chassis intrusion event mask, another is not.
- modify LAN NIC temp sensor(0x2F) entity ID to 07h and entity instance to 01h
- Update DTS look-up table
- Modify all Global clamp record Clamp Control Coefficient LSB/MSB
- Modify Minimum/Maximum Stepwise Linear Tables, extend to higher ambient as 47C
- Remove fan off support for PCI zone.
- Follow S2600CO FSC config sheet Rev (1.7).

S2600CO_03:
- Correct Chassis ID and FAN FRU LED Mapping SDR for Union Peak M Non Redundant
  150w active Fan SKU / other chass / FCT&FCT2.
- Modify normal control value of fan speed control record for Union Peak M 
  Redundant Fan Passive heatsink SKU to 25%.
- Remove BMC Health de-assert event.
- Modify Global stepwise curve for other chassis.
- Modify sensor name of sensor 0xDE to "BB VBAT".
- Rearrenge SDR data.
- Follow S2600CO FSC config sheet Rev (1.6).

S2600CO_02:
- Add FP NMI tag.
- Correct Sensor Type and Event / Reading Base Type of Memory thermal trip
  sensors(0xC0,0xC1).
- Correct temperature source of Global Clamp Record ID 83h,84h.
- Correct Global stepwise curve record(curve ID: 0Dh).
- Add Global stepwise curve record for Union Peak M Non Redundant Fan 150w 
  Active SKU.
- Add FSC Records for Union Peak M Non Redundant Fan 150w Active SKU (Domain 0,
  Domain 1, Domain 6, Domain 7).
- Add Airflow Formula for Union Peak M Non Redundant Fan 150w Active SKU.
- Add Aggregate Sensor Configuration Record for Union Peak M Non Redundant
  Fan 150w Active SKU.
- Modify DTS lookup table.
- Rearrange device detected sequence in MASTER.CFG.
- Modify file name of FRU file, SDR file, update script file.
- Modify Exit Air Temp sensor(0x2E) OEM byte.
- Follow S2600CO FSC config sheet Rev (1.3).


FCO_01:
- Follow S2600CO FSC config sheet Rev (1.2).

=============================================================================
                           ISSUES FIXED
=============================================================================
S2600CO_1.12:
- None

S2600CO_1.11:
- None

S2600CO_1.10:
- None

S2600CO_1.09:
- EPSD100017596 - FRU version update fail.
- EPSD100229678 - [X] MTT sensor scaling is incorrect in all SDR files.

S2600CO_1.08:
- None

S2600CO_1.07:
- None

S2600CO_1.06:
- EPSD100019576 - BMC auto reset after flashing FRUSDR completed.

S2600CO_1.05:
- None

S2600CO_1.04:
- None

S2600CO_1.03:
- None

S2600CO_1.02:
- None

S2600CO_1.01:
- None

S2600CO_1.00:
- None

S2600CO_04:
- None

S2600CO_03:
- EPSD100016868 - Unexpected fan tach event for fan sensor.

S2600CO_02:
- None

FCO_01:
- None

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
CopperPass_CONFIG-FSC Rev2.9 datasheet.
[END OF RELEASE NOTES]